Read Battery Capacity Yourself (Autel AP200 Breakthrough)

Discussion in 'Clarity' started by MrFixit, Nov 8, 2020.

To remove this ad click here.

  1. vicw

    vicw Active Member

    Follow-up to my earlier report of AP200 fails on my Pixel 4a 5g phone, but success on my old Pixel 2XL. I went back and checked the 4a 5g phone one more time - same failure as before.

    I Uninstalled and Reinstalled the Autel AP200 app on the PIxel 4a 5g. When I selected Diagnostics, the Honda Diag showed the availability of upgrading to the beta, which I was able to do. I was then able to successfully connect, collect data and create reports, with no issues.

    Bottom line, it seems from my perspective, that the Uninstall/Reinstall of the AP200 app resolved this problem for me, so that I'm now able to use the app properly on either phone, via Android 10 or 11. That will probably end up being my go to move for future AP200 app problems.

    By the way, at no time did I see anything regarding the beta in Google Play Store. It showed only the app release version 1.41 dated Jan 17, 2021. I believe the beta update is being managed directly be Autel, based on the user account info and their list of eligible devices for the beta. I am optimistic that resolution may work for each of us. I hope so.
     
  2. To remove this ad click here.

  3. MrFixit

    MrFixit Well-Known Member

    Thanks,

    And yes, it has been my understanding from the beginning that the beta had nothing to do with the Play Store, but rather, came directly from Autel. I think it has to because the Play Store is not set up to individualize distributing a program based on serial numbers etc.

    I am a little confused though because I thought you (perhaps it was someone else, maybe @leop) had tried an uninstall / reinstall with no success.

    In any event, that should certainly be on the list of strategies if these issues persist...
     
  4. vicw

    vicw Active Member

    I don't think it was me.... But at my age, I often have trouble remembering why I opened the fridge.



    Sent from my Pixel 4a (5G) using Inside EVs mobile app
     
  5. ptcr00

    ptcr00 New Member

    You are right. I just tested again the Power Train report and this time, I got all of 409 items exactly as the USA version. All items of the Power Train report appeared in lest then 5 seconds in the live data screen and values took between 30 and 60 secs to get all updated. I tried to reproduce the incomplete report I got but did not succeed. Weird. At least that's good news.
     
  6. leop

    leop Active Member

    Yes, I tried an un-install and re-install of the MaxiAP200 and Diag-Asia apps without success when I encountered the version mismatch error ten days ago. My success in again getting the beta was spontaneous and without any changes done by myself.

    I was able to successfully use the apps and the beta to get the electric power train data (including the battery capacity) this morning. What was interesting is that a connection (by WIFI or cell network) to the internet was not needed to use the MaxiAp200, Diag-Asia, and beta apps. In fact, the apps were much faster and simpler (fewer conformations, etc.) to use when not connected to the internet (I did try with both an internet connection and with no connections). Of course, without a connection no updates, checks (such as for the latest firmware version), or refreshes are available.

    LeoP
     
  7. To remove this ad click here.

  8. MrFixit

    MrFixit Well-Known Member

    In my experience, it is not possible to get to the diagnostics page without logging in (requires internet). Perhaps a login persists for a while, and you could log in, then disconnect from the internet and use it, but ultimately it will make you log in again. If you completely exit from the App (and remove it from your recently used page), doesn't it require a login again?
     
  9. Danks

    Danks Active Member

    Mine isn't working now. It worked fine from 3/3 until 4/7. It worked fine yesterday - 4/6. I get the same vehicle version information does not match message.
     
  10. MrFixit

    MrFixit Well-Known Member

    Argh...

    Your error matches Post #233 above, right?
    According to Autel, this means that one or both of the Apps are not current.
    I don't really believe this, because there have been no updates and nothing can cause your version to jump for no reason. But, something is misinterpreting the version or similar.

    I think there is something at Autel's end that just comes and goes for no apparent reason...

    My suggestion would be to un-install both MaxiAP200 and Diag-Asia and then re-install them. This has not generally been successful in the past. If that doesn't work, then wait a day or-two and try this sequence again. There just seems to be some random element.

    So far, we have never seen a case where Autel has "lost" a serial number in their database. Every time they have re-checked, a serial number has always been there. There have been numerous instances where it has quit and then came back again with no specific action to correct anything.

    There are two other users who have NEVER seen the beta version despite being activated and meeting the requirements (Android 64-bit, etc). I have informed Autel about these two users.

    We have a total of 31 users. There are a few who failed because their devices are not 64-bit. I am only aware of 3 (now including @Danks) who aren't working for no apparent reason, but some have spontaneously quit and recovered. Mine died once maybe a month ago, but then came back.

    It's too bad they chose to not release this in an official version because it leaves us with no leverage. They can always just say "Oh Whelp... It's just a Beta... No guarantees of continued function" !!
     
    Last edited: Apr 8, 2021 at 7:51 AM
  11. Sthomasa

    Sthomasa Member

    Amazon has the Autel AP200M OBD2 Scanner on sale for 40.00. 2021 model.
    Anyone made this version work?
    I really want to know battery levels and dealer saysvthey can only check 12v.
    Love the Clarity but after charge, never over 40 mile range.
     
  12. To remove this ad click here.

  13. MrFixit

    MrFixit Well-Known Member

    My recommendation is to NOT buy an AP200M, C, or H. They do NOT support the beta version, AND they all have some kind of recurring subscription fee. The original AP200 is a nice device, but keep in mind that the Electric Powertrain is Beta and Autel doesn't officially support it.

    Have a look at the other companion threat about "Budget Battery Capacity Readout", This may be a better route for you -
    https://www.insideevsforum.com/community/index.php?threads/budget-battery-capacity-readout.10531/
     
  14. Danks

    Danks Active Member

    Yes. The error matches Post #233. I'll check again and try a few things.
     
  15. vicw

    vicw Active Member

    Mine fails again, now, with the version mismatch message. Bummer.

    Sent from my Pixel 4a (5G) using Inside EVs mobile app
     
  16. MrFixit

    MrFixit Well-Known Member

    What about your older 2XL phone? Is it still working?
    It would be interesting to know if the newer phone comes and goes, while the older one is 'always' good.
    None of this makes much sense, but something is going on, and it's not just you !
     
  17. vicw

    vicw Active Member

    Glad you thought of that @MrFixit. Yes, the older Pixel 2XL, still on Android 10, worked just now. After that, I tried the Pixel 4a 5g, on Android 11, and it failed again, I rebooted the Pixel 4a 5g, and it failed again.

    I'm not suggesting that the OS version difference is key, but just that it could be a factor.

    It will be helpful if others can identify whether theirs pass or fail now, with their phone models and OS. We just have to always keep in mind that we are dealing with a moving target - what works now may not work an hour from now, for reasons we may not be able to determine, but in the meantime, it's worthwhile to gather as much relevant data as the pass/fail conditions occur.

    UPDATE: I corrected the newer Pixel phone model to "4a 5g". I had mistakenly typed it in as a Pixel 6, which I don't even have, and doesn't even exist yet.
     
    Last edited: Apr 8, 2021 at 12:44 PM
  18. vicw

    vicw Active Member

    One additional point on the currently failing Pixel 4a 5g. When I get to the Diagnostics screen, it does show the V2.01.54 beta level, and still gets the version mismatch message.
     
  19. vicw

    vicw Active Member

    To be exact, on the earlier failure on the newer phone, it didn't really just come and go - it failed over a couple of days, until I uninstalled and reinstalled the Autel AP200 app. After the install, the Diagnostic screen on the app displayed the release version installed, but shortly afterward it showed the beta version available for update. After I performed the beta update, the app worked properly, until it failed again this morning.
     
  20. Danks

    Danks Active Member

    Nothing I tried worked. I uninstalled the MaxiAp200 and the Diag-Asia and reinstalled. I redownload Honda. I don't see anything about the beta. If I remember correctly, when I first installed it, the app just automatically updated to the beta. I'll give it a while and see if it does this time.

    Meanwhile, I'm leaning more and more toward the Vgate adapter. I already have Car Scanner Pro, so I would be good to go.
     
  21. vicw

    vicw Active Member

    What I experienced on my newer phone, a Pixel 4a 5g, on Android 11 OS, the initial problem was that when I went to the Diagnostics screen in the app, it showed the beta version still installed, but the version mismatch message when I selected it.

    After I uninstalled and reinstalled the Autel AP200 app, when I went to the Diagnostics screen, in the Honda area, it showed the release version initially, but later it showed the beta version available for update. I selected it Download and it updated to the beta version and worked properly afterward, until this morning. Now, with it failing again, I'm back to the exact same mismatch behavior. I want to keep trying both of my phones for a while, to see if it all stays the same, then probably try the uninstall/reinstall once more on the newer phone, to see if that "fixes" the problem again, at least temporarily.

    By the way, could you share the phone model you are using, and the Android OS level? I don't know if it really makes any difference to the problem, but for the moment, I've had the phone on Android 11 have 2 separate failure periods, and so far, the older one, on Android 10 hasn't failed yet. I'm hoping that information from folks who are experiencing the problem may help to find some kind of association for us.
     
  22. Danks

    Danks Active Member

    Pixel 4a, Android 11 - 64 bit.
     
  23. MrFixit

    MrFixit Well-Known Member

    Just to reiterate... Yours worked initially, and you had no problem for a little over a month. Then for no apparent reason, you got this dreaded mismatch error. When you re-install, the error goes away, but you are not being offered the beta version (at least, not yet)...

    It would be interesting to hear from other Android 11 users to see if they have consistent operation (or not)... We are grasping for straws and looking for any possible explanation.
     

Share This Page